maemo: Package dependencies and descriptions changed.
authorTobias Brunner <tobias@strongswan.org>
Fri, 4 Feb 2011 11:49:41 +0000 (12:49 +0100)
committerTobias Brunner <tobias@strongswan.org>
Fri, 4 Feb 2011 17:02:48 +0000 (18:02 +0100)
packages/strongswan-maemo/debian/control
src/frontends/maemo/debian/control

index 6b0da5e..ec2d239 100644 (file)
@@ -7,7 +7,8 @@ Standards-Version: 3.7.2
 
 Package: strongswan
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: strongSwan IKEv2 VPN
- strongSwan is an IKEv2/IPsec-based VPN solution.
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-power (>= 2.6.28-maemo42)
+Suggests: strongswan-applet
+Description: strongSwan IPsec VPN
+ strongSwan is an IPsec-based VPN solution.
 
index 5cbe37c..3a66911 100644 (file)
@@ -7,9 +7,8 @@ Standards-Version: 3.7.2
 
 Package: strongswan-applet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: A frontend for the strongSwan IKEv2/IPsec VPN solution
+Depends: ${shlibs:Depends}, ${misc:Depends}, strongswan
+Description: A frontend for the strongSwan IPsec VPN solution
  A frontend to configure and control the strongSwan
- IKEv2/IPsec VPN solution.  Currently only EAP Authentication
- is supported.
-
+ IPsec VPN solution.  Currently only IKEv2 with EAP
+ Authentication (Username/Password) is supported.